
// movingEllipseView.h : CmovingEllipseView 類別的介面
//

#pragma once


class CmovingEllipseView : public CView
{
protected: // 僅從序列化建立
	CmovingEllipseView();
	DECLARE_DYNCREATE(CmovingEllipseView)
private:
	int m_x, m_y;
// 屬性
public:
	CmovingEllipseDoc* GetDocument() const;

// 作業
public:

// 覆寫
public:
	virtual void OnDraw(CDC* pDC);  // 覆寫以描繪此檢視
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// 程式碼實作
public:
	virtual ~CmovingEllipseView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 產生的訊息對應函式
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};

#ifndef _DEBUG  // movingEllipseView.cpp 中的偵錯版本
inline CmovingEllipseDoc* CmovingEllipseView::GetDocument() const
   { return reinterpret_cast<CmovingEllipseDoc*>(m_pDocument); }
#endif

